﻿namespace WatiN.Extensions
{
    public interface IJSEvent
    {
        /// <summary>
        /// Gets JS Function that will be fired with only one parameter: elementId. Example: "jQuery('#{0}').click();"
        /// </summary>
        string ById { get; }

        /// <summary>
        /// Gets JS Function that will be fired with only one parameter: elementClass. Example: "jQuery('.{0}').click();"
        /// </summary>
        string ByClass { get; }

        /// <summary>
        /// Gets JS Function that will be fired with user specified number of parameters
        /// </summary>
        string ByParameters { get; }
    }
}
